{% extends "baseBack.html.twig" %}
{% block container %}

    <link href="{{ asset('jTable/jquery.dataTables.min.css') }}" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="{{ asset('moment.js') }}"></script>
    <link rel="stylesheet" href="{{ asset('notif/lobibox.min.css') }}"/>
    <div class="row">
        <div class="col-md-12">
            <!-- DATA TABLE -->
            <h3 class="title-5 m-b-35">Liste des evenements</h3>
            <td class="table-responsive table-responsive-data2">
                <html>

                <!-- app/Resources/views/template.html.twig -->


                <body>

                </body>
                </html>
                <div class="row">
                    <div class="col-md-1"> </div>
                    <div class="col-md-10">
                        <div class="sidebar-search">
                            <!--  <div class="input-group custom-search-form">
                                  <input type="text" id="search" class="form-control" placeholder="Recherche">
                              </div>
                               /input-group -->
                        </div>
                        <br>
                    </div>

                    <div class="col-md-10" style="margin-left: 10px !important;">

                        <table class="table  nomargin" cellspacing="0" width="100%" id="example">

                            <thead>
                            <tr>
                                <th>Id</th>
                                <th>Nom</th>
                                <th>Organisateur</th>
                                <th>Terminé</th>
                                <th>Image</th>
                                <th>Prix</th>
                                <th>Date</th>
                                <th>Type</th>
                                <th>Espace</th>
                                <th>Confirmé</th>
                                <th>action</th>
                            </tr>
                            </thead>

                            <a href="{{ path('affiche_evenement') }}"> Afficher tous</a><br>
                            <a href="{{ path('affiche_evenement_confirme',{'confirm':true}) }}"> Afficher les évenements confirmés</a><br>
                            <a href="{{ path('affiche_evenement_confirme',{'confirm':0}) }}"> Afficher les évenements non confirmés</a><br>

                            <tbody id="ajax">
                            {% for e in evenements %}
                                <tr class="tr-shadow">

                                    <td>
                                        <span class="block-email">{{ e.idevenement }}</span>
                                    </td>

                                    <td>
                                        <span class="block-email">{{ e.nom }}</span>
                                    </td>

                                    <td>
                                        <span class="block-email">{{ e.user }}</span>
                                    </td>

                                    <td>
                                        {% if(e.termine == 1) %}
                                            <span class="status--denied">oui</span>
                                        {% else %}
                                            <span class="status--process">non</span>
                                        {% endif %}
                                    </td>

                                    <td>
                                        <img src="{{ asset('') }}{{ vich_uploader_asset(e, 'imageFile') }}">
                                    </td>

                                    <td>
                                        {{ e.prix }}
                                    </td>

                                    <td>
                                        <span class="status--process">{{ e.date|date("Y/m/d h:m a") }}</span>
                                    </td>

                                    <td>
                                        <span class="block-email">{{ e.Type.type }}</span>
                                    </td>

                                    <td>
                                        <span class="block-email">{{ e.Espace.description }}</span>
                                    </td>

                                    <td>
                                        {% if(e.confirme == 1) %}
                                            <span class="status--process">oui</span>
                                        {% else %}
                                            <span class="status--denied">non</span>
                                        {% endif %}
                                    </td>

                                    <td>
                                        <div class="table-data-feature">
                                            <button class="item" data-toggle="tooltip" data-placement="top" title="Editer" onclick="update({{ e.idevenement }})">
                                                <i class="zmdi zmdi-edit"></i>
                                            </button>
                                            <button class="item" data-toggle="tooltip" data-placement="top" title="Supprimer" onclick="deleteEvenement({{ e.idevenement }})">
                                                <i class="zmdi zmdi-delete"></i>
                                            </button>
                                            {% if(e.confirme == 0) %}
                                                <button class="item" data-toggle="tooltip" data-placement="top" title="Confirmer" onclick="confirmEvenement({{ e.idevenement }})">
                                                    <i class="zmdi zmdi-shield-check"></i>
                                                </button>
                                            {% endif %}
                                        </div>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </td>
        </div>
        <!-- END DATA TABLE -->
    </div>



{% endblock %}

{% block js %}
    <script type="text/javascript" src="{{ asset('jTable/jquery-2.1.4.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('jTable/jquery.dataTables.min.js') }}"></script>
    <script src="{{ asset('notif/lobibox.js') }}"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            $('#example').DataTable();
        } );
    </script>


    <script>
        function deleteEvenement(data){
            console.log(data)
            Lobibox.confirm({
                msg: "Voulez vous supprmier cet evenement",
                callback: function ($this, type, ev) {
                    if(type =="yes"){
                        window.location.assign("http://localhost/citedelacultureWeb/web/app_dev.php/evenement/deleteevenement/"+data)
                    }
                }
            });
        }

        function confirmEvenement(data){
            console.log(data)
            Lobibox.confirm({
                msg: "Voulez vous confirmer cet evenement",
                callback: function ($this, type, ev) {
                    if(type =="yes"){
                        window.location.assign("http://localhost/citedelacultureWeb/web/app_dev.php/evenement/confirmevenement/"+data)
                    }
                }
            });
        }

        function update(data){
            window.location.assign("http://localhost/citedelacultureWeb/web/app_dev.php/evenement/updateevenement/"+data)
        }
    </script>
{% endblock %}